Cyberduck Mountain Duck CLI

#8769 closed defect (fixed)

Subfolder appearing inside folder of same name

Reported by: pscheuneman Owned by: dkocher
Priority: normal Milestone: 4.7.1
Component: s3 Version: 4.7
Severity: normal Keywords: folder
Cc: Architecture:
Platform: Windows 8.1

Description

While traversing in folders, I noticed that inside any folder shows a subfolder of the same name that shouldn't be there. I'm seeing this in all folders (except in some cases the duplicate shows as a 1 B file instead) . For example, if I go into a folder named 3.9.3, inside it is another (empty) folder named 3.9.3.

Attachments (1)

S3_folder_issue.PNG (29.2 KB) - added by pscheuneman on Apr 29, 2015 at 2:10:18 PM.
In the level1 folder, it shows another copy of the level1 folde inside itself. It should just show the level2 folder and the test.txt. Inside the duplicate level1 folder is nothing (so it's not a shortcut of itself)

Download all attachments as: .zip

Change History (14)

comment:1 Changed on Apr 29, 2015 at 1:59:28 PM by dkocher

Is this using S3?

comment:2 Changed on Apr 29, 2015 at 1:59:48 PM by dkocher

Please attach a screenshot.

comment:3 Changed on Apr 29, 2015 at 2:03:51 PM by pscheuneman

Yes, sorry, it is using S3. I'll add some screenshots.

Changed on Apr 29, 2015 at 2:10:18 PM by pscheuneman

In the level1 folder, it shows another copy of the level1 folde inside itself. It should just show the level2 folder and the test.txt. Inside the duplicate level1 folder is nothing (so it's not a shortcut of itself)

comment:4 Changed on Apr 29, 2015 at 2:16:58 PM by pscheuneman

Also, I'm having the same issue with Walrus too.

comment:5 Changed on Apr 29, 2015 at 2:51:31 PM by dkocher

  • Component changed from core to s3
  • Owner set to dkocher

comment:6 Changed on May 4, 2015 at 11:39:26 AM by dkocher

#8789 closed as duplicate.

comment:7 Changed on May 4, 2015 at 11:39:37 AM by dkocher

  • Milestone set to 4.8
  • Status changed from new to assigned

comment:8 Changed on May 4, 2015 at 12:22:56 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r17473.

comment:9 Changed on May 13, 2015 at 11:27:33 AM by dkocher

  • Summary changed from Phantom subfolder appearing inside folder of same name to Subfolder appearing inside folder of same name

comment:10 Changed on May 13, 2015 at 1:28:40 PM by dkocher

#8819 closed as duplicate.

comment:11 Changed on May 14, 2015 at 7:04:23 AM by dkocher

#8826 closed as duplicate.

comment:12 Changed on May 18, 2015 at 11:45:03 AM by dkocher

#8826 closed as duplicate.

comment:13 Changed on May 18, 2015 at 11:45:15 AM by dkocher

Please update to the latest snapshot build available.

Note: See TracTickets for help on using tickets.
swiss made software